/**
 * GitDocumentDB plugin for remote connection using NodeGit
 * Copyright (c) Hidekazu Kubota
 *
 * This source code is licensed under the Mozilla Public License Version 2.0
 * found in the LICENSE file in the root directory of this source tree.
 */
import nodegit from '@sosuisen/nodegit';
import { Logger } from 'tslog';
import { RemoteOptions } from './types';
export declare function sleep(msec: number): Promise<unknown>;
declare const type = "remote";
declare function clone(workingDir: string, remoteOptions: RemoteOptions, logger?: Logger): Promise<nodegit.Repository | undefined>;
export { clone, type };
//# sourceMappingURL=remote-nodegit.d.ts.map